org.eclipse.mat.parser.internal

## Class ParserPlugin

- java.lang.Object
- - Plugin
  - - org.eclipse.mat.parser.internal.ParserPlugin

    public class ParserPlugin
    extends Plugin

### Field Summary

Fields
`static String` `PLUGIN_ID`

### Constructor Summary

Constructors
Constructor and Description
`ParserPlugin()`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`static ParserPlugin` `getDefault()`
`IExtensionTracker` `getExtensionTracker()`
`ParserRegistry` `getParserRegistry()`
`void` `start(BundleContext context)`
`void` `stop(BundleContext context)`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### PLUGIN_ID

    public static final String PLUGIN_ID

See Also:
  Constant Field Values

### Constructor Detail

#### ParserPlugin

    public ParserPlugin()

### Method Detail

#### start

    public void start(BundleContext context)
               throws Exception

Throws:
  `Exception`

#### stop

    public void stop(BundleContext context)
              throws Exception

Throws:
  `Exception`

#### getDefault

    public static ParserPlugin getDefault()

#### getExtensionTracker

    public IExtensionTracker getExtensionTracker()

#### getParserRegistry

    public ParserRegistry getParserRegistry()